Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Namespaces | Functions | Variables
to_container.hpp File Reference

## Classes
class | std::vector< T >
| STL class.

## Namespaces
| ranges
| unstable_remove have O(1) complexity for each element remove, unlike remove O(n) [for worst case] Each erased element overwritten (moved in) with last one.

## Functions
template<template< typename... > class ContT>
detail::to_container_fn< meta::quote< ContT > > | ranges::v3::to_ ()
| For initializing a container of the specified type with the elements of an Range.
template<template< typename... > class ContT, typename Rng , typename Cont = meta::invoke<meta::quote<ContT>, range_value_type_t<Rng>>, requires = (Range<Rng>() && detail::ConvertibleToContainer<Rng, Cont>())>
Cont | ranges::v3::to_ (Rng &&rng)
template<template< typename... > class ContT, typename T , typename Cont = meta::invoke<meta::quote<ContT>, T>, requires = (detail::ConvertibleToContainer<std::initializer_list<T>, Cont>())>
Cont | ranges::v3::to_ (std::initializer_list< T > list)
template<typename Cont >
detail::to_container_fn< meta::id< Cont > > | ranges::v3::to_ ()
template<typename Cont , typename Rng , requires = (Range<Rng>() && detail::ConvertibleToContainer<Rng, Cont>())>
Cont | ranges::v3::to_ (Rng &&rng)
template<typename Cont , typename T , requires = (detail::ConvertibleToContainer<std::initializer_list<T>, Cont>())>
Cont | ranges::v3::to_ (std::initializer_list< T > list)

## Variables
constexpr detail::to_container_fn< meta::quote< std::vector > > | ranges::v3::to_vector {}

## Function Documentation

## ◆ to_()

template<typename Cont >

detail::to_container_fn<meta::id<Cont> > ranges::v3::to_ | ( |  | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.